summaryrefslogtreecommitdiff
path: root/automated
diff options
context:
space:
mode:
authorChase Qi <chase.qi@linaro.org>2016-11-28 12:25:57 +0800
committerMilosz Wasilewski <milosz.wasilewski@linaro.org>2016-11-28 10:31:29 +0000
commita64e9bef105f108a585bf60d4451cdd3f7a3473f (patch)
tree17e2004300620c0e6a9646572632eff34268d0df /automated
parentdb0522c9538e5f37da6b1577efb9dad82204deed (diff)
automated: linux: unify mysql password for LAMP and LEMP tests
Change-Id: I1a6d2dd4b16d1a7d2fff88af4c7e98d4e06d2636 Signed-off-by: Chase Qi <chase.qi@linaro.org>
Diffstat (limited to 'automated')
-rw-r--r--automated/linux/lamp/html/add-record.php2
-rw-r--r--automated/linux/lamp/html/connect-db.php2
-rw-r--r--automated/linux/lamp/html/create-db.php2
-rw-r--r--automated/linux/lamp/html/create-table.php2
-rw-r--r--automated/linux/lamp/html/delete-record.php2
-rw-r--r--automated/linux/lamp/html/select-record.php2
-rwxr-xr-xautomated/linux/lamp/lamp.sh6
-rw-r--r--automated/linux/lemp/html/add-record.php2
-rw-r--r--automated/linux/lemp/html/connect-db.php2
-rw-r--r--automated/linux/lemp/html/create-db.php2
-rw-r--r--automated/linux/lemp/html/create-table.php2
-rw-r--r--automated/linux/lemp/html/delete-record.php2
-rw-r--r--automated/linux/lemp/html/select-record.php2
-rwxr-xr-xautomated/linux/lemp/lemp.sh6
14 files changed, 18 insertions, 18 deletions
diff --git a/automated/linux/lamp/html/add-record.php b/automated/linux/lamp/html/add-record.php
index f721677..f7802ae 100644
--- a/automated/linux/lamp/html/add-record.php
+++ b/automated/linux/lamp/html/add-record.php
@@ -1,7 +1,7 @@
<?php
$servername = "localhost";
$username = "root";
-$password = "lamptest";
+$password = "lxmptest";
$dbname = "myDB";
// Create connection
diff --git a/automated/linux/lamp/html/connect-db.php b/automated/linux/lamp/html/connect-db.php
index ee42caf..c43dff7 100644
--- a/automated/linux/lamp/html/connect-db.php
+++ b/automated/linux/lamp/html/connect-db.php
@@ -1,7 +1,7 @@
<?php
$servername = "localhost";
$username = "root";
-$password = "lamptest";
+$password = "lxmptest";
// Create connection
$conn = new mysqli($servername, $username, $password);
diff --git a/automated/linux/lamp/html/create-db.php b/automated/linux/lamp/html/create-db.php
index 63c166b..1373709 100644
--- a/automated/linux/lamp/html/create-db.php
+++ b/automated/linux/lamp/html/create-db.php
@@ -1,7 +1,7 @@
<?php
$servername = "localhost";
$username = "root";
-$password = "lamptest";
+$password = "lxmptest";
// Create connection
$conn = new mysqli($servername, $username, $password);
diff --git a/automated/linux/lamp/html/create-table.php b/automated/linux/lamp/html/create-table.php
index 740676a..04eb56e 100644
--- a/automated/linux/lamp/html/create-table.php
+++ b/automated/linux/lamp/html/create-table.php
@@ -1,7 +1,7 @@
<?php
$servername = "localhost";
$username = "root";
-$password = "lamptest";
+$password = "lxmptest";
$dbname = "myDB";
// Create connection
diff --git a/automated/linux/lamp/html/delete-record.php b/automated/linux/lamp/html/delete-record.php
index 8939c45..3556256 100644
--- a/automated/linux/lamp/html/delete-record.php
+++ b/automated/linux/lamp/html/delete-record.php
@@ -1,7 +1,7 @@
<?php
$servername = "localhost";
$username = "root";
-$password = "lamptest";
+$password = "lxmptest";
$dbname = "myDB";
// Create connection
diff --git a/automated/linux/lamp/html/select-record.php b/automated/linux/lamp/html/select-record.php
index 45505f3..62a4460 100644
--- a/automated/linux/lamp/html/select-record.php
+++ b/automated/linux/lamp/html/select-record.php
@@ -1,7 +1,7 @@
<?php
$servername = "localhost";
$username = "root";
-$password = "lamptest";
+$password = "lxmptest";
$dbname = "myDB";
// Create connection
diff --git a/automated/linux/lamp/lamp.sh b/automated/linux/lamp/lamp.sh
index b7704bc..c25b1c1 100755
--- a/automated/linux/lamp/lamp.sh
+++ b/automated/linux/lamp/lamp.sh
@@ -64,8 +64,8 @@ grep "Test Page for the Apache HTTP Server" "${OUTPUT}/index.html"
check_return "apache2-test-page"
# Test MySQL.
-mysqladmin -u root password lamptest > /dev/null 2>&1 || true
-mysql --user="root" --password="lamptest" -e "show databases"
+mysqladmin -u root password lxmptest > /dev/null 2>&1 || true
+mysql --user="root" --password="lxmptest" -e "show databases"
check_return "mysql-show-databases"
# Test PHP.
@@ -104,4 +104,4 @@ grep "Record deleted successfully" "${OUTPUT}/delete-record"
check_return "php-delete-record"
# Delete myDB for the next run.
-mysql --user='root' --password='lamptest' -e 'DROP DATABASE myDB'
+mysql --user='root' --password='lxmptest' -e 'DROP DATABASE myDB'
diff --git a/automated/linux/lemp/html/add-record.php b/automated/linux/lemp/html/add-record.php
index 955652a..f7802ae 100644
--- a/automated/linux/lemp/html/add-record.php
+++ b/automated/linux/lemp/html/add-record.php
@@ -1,7 +1,7 @@
<?php
$servername = "localhost";
$username = "root";
-$password = "lemptest";
+$password = "lxmptest";
$dbname = "myDB";
// Create connection
diff --git a/automated/linux/lemp/html/connect-db.php b/automated/linux/lemp/html/connect-db.php
index 5bcdeed..c43dff7 100644
--- a/automated/linux/lemp/html/connect-db.php
+++ b/automated/linux/lemp/html/connect-db.php
@@ -1,7 +1,7 @@
<?php
$servername = "localhost";
$username = "root";
-$password = "lemptest";
+$password = "lxmptest";
// Create connection
$conn = new mysqli($servername, $username, $password);
diff --git a/automated/linux/lemp/html/create-db.php b/automated/linux/lemp/html/create-db.php
index e6bf219..1373709 100644
--- a/automated/linux/lemp/html/create-db.php
+++ b/automated/linux/lemp/html/create-db.php
@@ -1,7 +1,7 @@
<?php
$servername = "localhost";
$username = "root";
-$password = "lemptest";
+$password = "lxmptest";
// Create connection
$conn = new mysqli($servername, $username, $password);
diff --git a/automated/linux/lemp/html/create-table.php b/automated/linux/lemp/html/create-table.php
index cf60a50..04eb56e 100644
--- a/automated/linux/lemp/html/create-table.php
+++ b/automated/linux/lemp/html/create-table.php
@@ -1,7 +1,7 @@
<?php
$servername = "localhost";
$username = "root";
-$password = "lemptest";
+$password = "lxmptest";
$dbname = "myDB";
// Create connection
diff --git a/automated/linux/lemp/html/delete-record.php b/automated/linux/lemp/html/delete-record.php
index d011f4e..3556256 100644
--- a/automated/linux/lemp/html/delete-record.php
+++ b/automated/linux/lemp/html/delete-record.php
@@ -1,7 +1,7 @@
<?php
$servername = "localhost";
$username = "root";
-$password = "lemptest";
+$password = "lxmptest";
$dbname = "myDB";
// Create connection
diff --git a/automated/linux/lemp/html/select-record.php b/automated/linux/lemp/html/select-record.php
index d67dc6e..62a4460 100644
--- a/automated/linux/lemp/html/select-record.php
+++ b/automated/linux/lemp/html/select-record.php
@@ -1,7 +1,7 @@
<?php
$servername = "localhost";
$username = "root";
-$password = "lemptest";
+$password = "lxmptest";
$dbname = "myDB";
// Create connection
diff --git a/automated/linux/lemp/lemp.sh b/automated/linux/lemp/lemp.sh
index e21dbc6..92a4f28 100755
--- a/automated/linux/lemp/lemp.sh
+++ b/automated/linux/lemp/lemp.sh
@@ -88,8 +88,8 @@ run_test_case "${test_command}" "test-nginx-server" "${skip_list}"
# Test MySQL.
skip_list="$(echo "${skip_list}" | awk '{ for (i=2; i<=NF; i++) print $i}')"
-mysqladmin -u root password lemptest > /dev/null 2>&1 || true
-test_command="mysql --user='root' --password='lemptest' -e 'show databases'"
+mysqladmin -u root password lxmptest > /dev/null 2>&1 || true
+test_command="mysql --user='root' --password='lxmptest' -e 'show databases'"
run_test_case "${test_command}" "mysql-show-databases" "${skip_list}"
# Test PHP.
@@ -135,7 +135,7 @@ run_test_case "${test_command}" "php-delete-record"
# Cleanup.
# Delete myDB for the next run.
-mysql --user='root' --password='lemptest' -e 'DROP DATABASE myDB'
+mysql --user='root' --password='lxmptest' -e 'DROP DATABASE myDB'
# Restore from backups.
rm -rf /usr/share/nginx/html